using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;
using MySql.Data;
namespace EjemploMysql
{
    public partial class NuevoUsuario : Form
    {
        MySqlConnection conector;
        public NuevoUsuario()
        {
            conexionBD();
            InitializeComponent();
        }
        public void conexionBD()
        {
            conector = new MySqlConnection();
            conector.ConnectionString = "Server=localhost;Port=3306;DataBase=ejemploMysql;Uid=root;Pwd=123";
            try
            {
                conector.Open();
            }
            catch (MySqlException e)
            {
                e.ErrorCode.ToString();
            }
        }
        private void btnCancelar_Click(object sender, EventArgs e)
        {
            txtUsuario.Text = "";
            txtPassword.Text = "";
            txtConfPassword.Text = "";
        }

        private void btnCrear_Click(object sender, EventArgs e)
        {
            String usuario=txtUsuario.Text;
           String pass= txtPassword.Text ;
           String confPass= txtConfPassword.Text;
           String tipo = cmbTipoUsuario.SelectedItem.ToString();
           if (usuario.Equals("")||tipo.Equals(""))
           {
               MessageBox.Show("Favor de Ingresar un Usuario y/o Tipo de usuario");
           }
           else if (pass.Equals(confPass))
           {
               if (conector.State != ConnectionState.Open)
               {
                   conector.Open();
               }
               if (tipo.Equals("Administrador"))
               {
                   tipo = "admin";
               }
               else
               {
                   tipo = "limitado";
               }
               MySqlCommand comando = conector.CreateCommand();
               comando.CommandText = "insert into usuarios values(@usuario,@password,@tipo)";
               comando.Parameters.AddWithValue("@usuario",usuario);
               comando.Parameters.AddWithValue("@password",pass);
               comando.Parameters.AddWithValue("@tipo",tipo);
               comando.ExecuteNonQuery();
               conector.Close();
               MessageBox.Show("Usuario creado con Exito");
               this.Close();
           }
           else
           {
               MessageBox.Show("Contraseñas no Coinciden");
           }

        }
    }
}
